function [ output ] = gsp_log_wavelet_scaling_fn( wavelet_filters , x )

output=9/8;

for i=1:length(wavelet_filters)
    output=output-(wavelet_filters{i}(x)).^2;
end
output=sqrt(output);
output=real(output);


%
%   Url: http://gspbox.sourceforge.net/doc/filter_design/utils/gsp_log_wavelet_scaling_fn.php

% Copyright (C) 2013 David I Shuman, Nathanael Perraudin.
% This file is part of GSPbox version 0.0.1
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

