function [ h_hat_lambda ] = gsp_meyer_kernel( lambda , varargin)

if ~isempty(varargin)
    highpass=varargin{1};
else
    highpass=0;
end

if highpass
    %h_hat_lambda=real(sqrt(2-(gsp_meyer_kernel(lambda)).^2));
    h_hat_lambda=real(sqrt(1-(gsp_meyer_kernel(lambda)).^2));
else
    h_hat_lambda=sgwt_kernel_meyer(lambda,'sf');
    %h_hat_lambda=sqrt(2*gsp_meyer_v(2-1.5*lambda));
end

end
% 
% function [ theta ] = gsp_meyer_v(x)
%     theta=zeros(size(x));
%     for i=1:length(x)
%         if x(i)<=0
%             theta(i) = 0;
%         elseif x(i)>=1
%             theta(i) = 1;
%         else
%             theta(i)= 3*x(i)^2 - 2*x(i)^3;
%         end
%     end
% end
%
%   Url: http://gspbox.sourceforge.net/doc/filter_design/utils/gsp_meyer_kernel.php

% Copyright (C) 2013 David I Shuman, Nathanael Perraudin.
% This file is part of GSPbox version 0.0.1
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

